Subject: Re: Usefor/usepro conflicts.

From: "Charles Lindsey" <[email-masked]>
Date: Wed, 6 Oct 2004 23:23:15 GMT

In <[email-masked]> Russ Allbery <[email-masked]> writes:

>Charles Lindsey <[email-masked]> writes:

>> OK, I now have:

>>    A "poster" is the person or software that composes a possibly
>>    compliant article for submission to a posting agent. The poster is
>>    synonymous with [RFC 2822]'s author.

>I believe this is wrong.  Poster is synonymous with sender.

Well "poster" is the word we have used in the draft all along, and I worry
that some subtle change of meaning will ensue if we change it now. Any
more opinions on this one?

And, as someone else observed, "poster" is used as a keyword in Followup-To
and in Mail-Copies-To, and in both those places it means the From/Reply-To
guy.

>>> The word in standard usage implies "the person who posts", which is
>>> different than "the person who writes", so as a synonym, it belongs to
>>> "sender".

>> But the term as widely used throughout Usenet is as I have defined it.

>I strongly disagree.  Everywhere that I've seen poster used on Usenet in a
>context that drew the distinction between author and transmitter, poster
>referred to the person who injected the article, not the author.

Yes, and in any case in the draft where that distinction is important we
need to be careful, as in the following case:

>>    Posting agents meant for use by ordinary posters SHOULD reject any
>>    attempt to post an article which cancels or Supersedes another
>>    article of which the poster is not the author or sender.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 07 Oct 2004 13:55:16 +0200

Charles Lindsey wrote:

>>> "poster" is the person or software that composes a possibly
>>> compliant article for submission to a posting agent. The
>>> poster is synonymous with [RFC 2822]'s author.

> Well "poster" is the word we have used in the draft all
> along, and I worry that some subtle change of meaning will
> ensue if we change it now. Any more opinions on this one?
 
> And, as someone else observed, "poster" is used as a keyword
> in Followup-To and in Mail-Copies-To, and in both those
> places it means the From/Reply-To guy.

"Poster" is as you say the From/Reply-To guy.  That's the same
as the 2822-Sender.  It's generally the same as the 2822-From
(author), but not always.  Likewise the poster is generally the
author, but not always (sometimes FAQs are written by A, but
posted by B, where A is the author, and B is a posting-Bot run
by somebody else).

I'm not sure about this, but a news From is not always exactly
the same as a 2822-From, a news From is more like a MAIL FROM.

                         Bye, Frank

---

From: "Charles Lindsey" <[email-masked]>
Date: Fri, 8 Oct 2004 12:00:59 GMT

>as the 2822-Sender.

I think not. In the oft-quoted case where the Boss gets his Secretary to
send the message, the Secretary is the Sender, but the Boss is the From.
The Reply-To may be either of them, or even a third person.

> ...  Likewise the poster is generally the

B is the Sender. If the FAQ contains Followup-To: poster, then followups
would be mailed to A (assuming he is the From/Reply-To).

>the same as a 2822-From, a news From is more like a MAIL FROM.

No, I think that is wrong. The MAIL FROM is where you send reports of
non-delivery and the like, which will usually be the Sender.

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 09 Oct 2004 10:22:35 +0200

Charles Lindsey wrote:

> In the oft-quoted case where the Boss gets his Secretary to

Sorry, I should have looked into the normative reference (for
my parallel universe ;-), you're right, I was confused:

(5.2)
| The From header contains the electronic address, and possi-
| bly the full name, of the article's author:

(6.4)
| The Sender header identifies the poster, in the event that
| this differs from the author identified in the From header:
[...]
| In the absence of Sender, the default poster is the author
| (named in the From header).

(10.4)
| The Sender header is a tricky case, one where mailing-list
| and post-by-mail practice should differ.  For gatewaying
| mailing lists, the mailing-list host should be considered a
| relayer, and the From and Sender headers supplied in its
| transmissions left strictly untouched.  For post-by-mail, as
| for a moderator posting a mailed submission, the Sender
| header should reflect the poster rather than the author.  If
| a post-by-mail gateway receives a message  with its own
| Sender header, it might wish to preserve the content in an
| X-Sender header.
                          Bye, Frank